Bug 845848 - rhts-devel scripts fail when path name contains space character
rhts-devel scripts fail when path name contains space character
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
All All
low Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
Misc
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-05 14:00 EDT by David Kaspar
Modified: 2015-11-22 22:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Archive containing patches to rhts scripts. (.tar.gz) (5.66 KB, patch)
2012-08-05 18:54 EDT, David Kaspar
no flags Details | Diff
Single file patch for rhts scripts (21.06 KB, patch)
2012-08-06 04:44 EDT, David Kaspar
no flags Details | Diff
Patches to fix the issue (1.77 KB, application/gzip)
2013-04-09 12:47 EDT, Hubert Kario
no flags Details

  None (edit)
Description David Kaspar 2012-08-05 14:00:10 EDT
Description of problem:
When you have made some automated test for beaker and want to do "make tag; git push --tags; make bkradd", then make bkradd fails when you have a space character in the path. (e.g. you have directoty "Red Hat", where you have other working subdirectories, then it fails because of the space in directory name "Red Hat".)
It also fails if you substitute "make noarch-rpm" instead of "make bkradd".
(The "make arch-rpm" isn't working at all at the time, as far as I know. I will be adding new bug to bugzilla when I confirm it.)

Version-Release number of selected component (if applicable):
rhts-devel-4.49-1.el6eng.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Copy some test-case into new directory. Then rename the directory so it contains space character (ASCII #32 Dec).
2. Dive into directory and run these commands: "make tag; git push --tags; make bkradd" or "make tag; git push --tags; make noarch-rpm".
  
Actual results:
make bkradd/noarch-rpm fails with exit code 2. Make reports:
make: *** [bkradd] Error 1

Expected results:
make bkradd/noarch-rpm doesn't fail and exit code is 0. Then the requested operation is completed sucessfully.

Additional info:
I'm proposing a patch...
Comment 5 Dan Callaghan 2012-08-08 20:01:58 EDT
Thanks for this patch, David. At first glance it looks good, although there are some unrelated changes bundled in there too (adding usage messages, changing exit statuses) which look useful, but I would rather they be separated out into their own patches.

I'm clearing the hss_*_ack flags since we aren't using those in Beaker at present. And there's no need for this bug or the comments to be private, since there is no confidential information here.
Comment 6 David Kaspar 2012-08-09 06:25:39 EDT
(In reply to comment #5)
> ...although there are some unrelated changes bundled in there too (adding usage > messages, changing exit statuses) which look useful, but I would rather they be
> separated out into their own patches.
Ah, sorry for that. I didn't know if that would be necessary. I've made some other changes, that you are writing about, to keep the rhts scripts consistent. (E.g. that usage message was added because argument processing in one those script were calling usage function in case wrong arguments were used. However the script hadn't any function usage... So I've "patched" these things too. I've also added quotes to some variables that are actually not required right now, but it might be useful in future, if there'll be some other updates.)

> And there's no need for this bug or the comments to be private, since there is > no confidential information here.

At the beginning I wasn't sure if this is or is not an internal component... Anyway, why shouldn't be there License agreemenet like GPL and other information if headers of the scripts? Some of them has only #! shebang and they're not consistent of what shell they're using... ;)
Comment 7 Nick Coghlan 2012-10-17 00:38:42 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 8 Hubert Kario 2013-04-09 12:43:37 EDT
The problem is still present in current version of scripts.
Comment 9 Hubert Kario 2013-04-09 12:47:21 EDT
Created attachment 733280 [details]
Patches to fix the issue

Set of patches to rhts-mk-get-test-package-name and rhts-build-package scripts to fix handling of spaces in working directory name.

Note You need to log in before you can comment on or make changes to this bug.